info:
  name: Dipendente by E-mail
  type: http
  seq: 7

http:
  method: GET
  url: "{{IdemApiUrl}}/dipendente_by_email.php?mail=s.magnekankeu@unipr.it"
  params:
    - name: mail
      value: pierpaolo.mammi@unipr.it
      type: query
      disabled: true
    - name: mail
      value: rossano.bolpagni@unipr.it
      type: query
      disabled: true
    - name: mail
      value: mario.rossi@unipr.it
      type: query
      disabled: true
    - name: mail
      value: utente.test-sp@unipr.it
      type: query
      disabled: true
    - name: mail
      value: emanuele.castelli@unipr.it
      type: query
      disabled: true
    - name: mail
      value: wanda.boglioli@unipr.it
      type: query
      disabled: true
    - name: mail
      value: anna.solito@unipr.it
      type: query
      disabled: true
    - name: mail
      value: martina.ardizzi@unipr.it
      type: query
      disabled: true
    - name: mail
      value: s.magnekankeu@unipr.it
      type: query
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: Dipendente (E-mail) - Success
    request:
      url: "{{IdemApiUrl}}/dipendente.php?mail=pierpaolo.mammi@unipr.it"
      method: GET
      params:
        - name: mail
          value: pierpaolo.mammi@unipr.it
          type: query
    response:
      statusText: "200"
      headers:
        - name: Date
          value: Mon, 09 Jun 2025 09:35:49 GMT
        - name: Server
          value: Apache/2.2.15 (CentOS)
        - name: X-Powered-By
          value: PHP/5.3.3
        - name: Content-Length
          value: "1285"
        - name: Connection
          value: close
        - name: Content-Type
          value: application/json
      body:
        type: json
        data: |-
          {
              "idAb": "269139",
              "matricola": "050713",
              "nome": "Pier Paolo",
              "cognome": "MAMMI",
              "dataFineRapporto": null,
              "dataInizioRapporto": "2025-01-20",
              "codice_attivita": "0001",
              "descrizione_attivita": "In servizio",
              "emailAteneo": "pierpaolo.mammi@unipr.it",
              "cellulare_servizio": null,
              "ruolo": "ND",
              "profilo": "SETTORE_10",
              "inquadramento": "FU0",
              "genere": "M",
              "cod_fis": "MMMPPL74T17E463A",
              "id_ab_struttura": "162359",
              "codice_struttura": "106143",
              "nome_struttura": "U.O. Sistemi Applicativi",
              "id_ab_struttura_padre": "162353",
              "codice_struttura_padre": "106139",
              "nome_struttura_padre": "Area - Sistemi Informativi",
              "telefono": "0521 904145",
              "comitato": null,
              "codiceSsd": "000000000000",
              "area_disciplinare": "00",
              "nome_sup_diretto": "Simona",
              "cognome_sup_diretto": "BERTE'",
              "cf_sup_diretto": "BRTSMN69B65G337A",
              "mail_sup_diretto": "simona.berte@unipr.it",
              "matricola_sup_diretto": "005603",
              "nome_sup_apicale": "Candeloro",
              "cognome_sup_apicale": "BELLANTONI",
              "matricola_sup_apicale": "028973",
              "cf_sup_apicale": "BLLCDL60C28H224V",
              "mail_sup_apicale": "candeloro.bellantoni@unipr.it",
              "pt_tipo": null,
              "pt_ds_tipo": null,
              "perc_pt": "100",
              "descrizione_ruolo": null,
              "descrizione_profilo": "Settore tecnico - informatico",
              "descrizione_inquadramento": "Funzionari",
              "id_fascicolo_titulus": "5404836",
              "num_fascicolo_titulus": "2025-UNPRCLE-07/00.50713"
          }
  - name: Dipendente (E-mail) - 404 Not Found
    request:
      url: "{{IdemApiUrl}}/dipendente.php?mail=mario.rossi@unipr.it"
      method: GET
      params:
        - name: mail
          value: pierpaolo.mammi@unipr.it
          type: query
          disabled: true
        - name: mail
          value: rossano.bolpagni@unipr.it
          type: query
          disabled: true
        - name: mail
          value: mario.rossi@unipr.it
          type: query
    response:
      statusText: "404"
      headers:
        - name: Date
          value: Mon, 23 Jun 2025 09:21:04 GMT
        - name: Server
          value: Apache/2.2.15 (CentOS)
        - name: X-Powered-By
          value: PHP/5.3.3
        - name: Content-Length
          value: "2"
        - name: Connection
          value: close
        - name: Content-Type
          value: application/json
      body:
        type: json
        data: "{}"
